import { HttpClient } from "@angular/common/http";
import { LoginTenantLinksContainerModel } from "../../../../../models";
import { ApiVisa, BaseApiTemplateService, Pagination } from "../shared";
export declare class LoginTenantLinksTenantLevelService extends BaseApiTemplateService<LoginTenantLinksContainerModel> {
    constructor(http: HttpClient);
    private setUrl;
    backofficePost(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    backofficeDelete(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    backofficePut(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    backofficeGetAll(apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    backofficeGetByGuid(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    backofficeGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").PagingResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpPost(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpDelete(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpPut(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpGetAll(apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpGetByGuid(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    tenantEpGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").PagingResponseModel<LoginTenantLinksContainerModel>>;
    tenantAdminEpGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").PagingResponseModel<LoginTenantLinksContainerModel>>;
}
